package com.paypal.hybris.b2bfacade.impl;

import com.paypal.hybris.b2bfacade.PayPalB2BCheckoutFacade;
import de.hybris.platform.b2bacceleratorfacades.order.impl.DefaultB2BAcceleratorCheckoutFacade;
import de.hybris.platform.b2bacceleratorservices.enums.CheckoutPaymentType;
import de.hybris.platform.core.model.order.CartModel;


public class DefaultPayPalB2BCheckoutFacade extends DefaultB2BAcceleratorCheckoutFacade implements
    PayPalB2BCheckoutFacade {

    @Override
    public void setCardPaymentType() {
        final CartModel cart = getCart();
        cart.setPaymentType(CheckoutPaymentType.CARD);
        getModelService().save(cart);
    }
}
