package com.paypal.hybris.core.service;

import com.paypal.hybris.core.model.PayPalCreditCardPaymentInfoModel;
import de.hybris.platform.commercefacades.order.data.CCPaymentInfoData;
import de.hybris.platform.core.model.user.AddressModel;
import de.hybris.platform.core.model.user.CustomerModel;


public interface PayPalCustomerAccountService {

    PayPalCreditCardPaymentInfoModel createPayPalPaymentSubscription(final CustomerModel customerModel,
        final CCPaymentInfoData ccPaymentInfoData, final AddressModel addressModel);

    PayPalCreditCardPaymentInfoModel updatePayPalPaymentSubscription(final CustomerModel customerModel,
        final CCPaymentInfoData ccPaymentInfoData, final AddressModel addressModel,
        PayPalCreditCardPaymentInfoModel paymentInfo);
}
